LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (https://www.linuxquestions.org/questions/slackware-14/)
-   -   Requests for -current (14.2-->15.0) (https://www.linuxquestions.org/questions/slackware-14/requests-for-current-14-2-15-0-a-4175620463/)

volkerdi 11-12-2018 01:16 PM

Quote:

Originally Posted by orbea (Post 5925388)
I wanted to remove all my haskell packages.
Code:

# removepkg haskell-*
/sbin/removepkg: line 317: [: too many arguments
/sbin/removepkg: line 331: [: too many arguments
basename: extra operand '/var/lib/pkgtools/packages/haskell-aeson-1.4.1.0-x86_64-1_SBo'
Try 'basename --help' for more information.
No such package: . Can't remove.


Try changing to the /var/lib/pkgtools/packages directory first.

orbea 11-12-2018 01:48 PM

Quote:

Originally Posted by volkerdi (Post 5925405)
Try changing to the /var/lib/pkgtools/packages directory first.

Sorry, I didn't make it clear that I did that next where it of course worked. Regardless it was an unexpected failure and I thought it was worth mentioning.

USUARIONUEVO 11-12-2018 03:57 PM

If , go to rebuild perl , remember update the outdated extra modules. Thanks!


And for informational only , finally review for linux 4.19.2 , have 361 patches.... this is BIG ONE.

https://lkml.org/lkml/2018/11/12/566

ehartman 11-12-2018 04:31 PM

Quote:

Originally Posted by orbea (Post 5925388)
I wanted to remove all my haskell packages.
Code:

# removepkg haskell-*
/sbin/removepkg: line 317: [: too many arguments


removepkg only takes a _single_ packagename as its argument, so you'll have to use a loop, like
Code:

for pkg in haskell-*
do removepkg $pkg
done


Didier Spaier 11-12-2018 04:36 PM

Quote:

Originally Posted by ehartman (Post 5925450)
removepkg only takes a _single_ packagename as its argument, ...

No.
Code:

root[/home/didier]# removepkg
Usage: removepkg [-copy] [-keep] [-preserve] [-warn] packagename ...
root[/home/didier]

... represents a blank separated list of packages to remove.

Didier Spaier 11-12-2018 04:39 PM

(duplicate)

orbea 11-12-2018 04:42 PM

The problem was that I was feeding it a literal "haskell-*" instead of all the haskell-* packages since I was in the wrong directory and the glob didn't match any files. My suggestion was just so that it would not fail in an unexpected manner, my usage was wrong regardless.

orbea 11-12-2018 06:51 PM

SDL2-2.0.9 broke ArxLibertatis and maybe other C/C++ programs, but this is already fixed in the SDL2 mercurial master.

I resolved this by applying the following patch to SDL2.
Code:

From cc035dcc4faaec9c2122c241f83ad6b5296e42b1 Mon Sep 17 00:00:00 2001
From: Ozkan Sezer <sezeroz@gmail.com>
Date: Tue, 6 Nov 2018 20:50:24 +0300
Subject: [PATCH] fix bug #4362 - SDL_syswm.h with SDL_PROTOTYPES_ONLY broken
 in C++ mode

---
 include/SDL_syswm.h | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/include/SDL_syswm.h b/include/SDL_syswm.h
index 0748b92270..e7d9baa9bf 100644
--- a/include/SDL_syswm.h
+++ b/include/SDL_syswm.h
@@ -41,9 +41,9 @@
  *  an unhandled window event occurs.  This event is ignored by default, but
  *  you can enable it with SDL_EventState().
  */
-#ifdef SDL_PROTOTYPES_ONLY
 struct SDL_SysWMinfo;
-#else
+
+#if !defined(SDL_PROTOTYPES_ONLY)
 
 #if defined(SDL_VIDEO_DRIVER_WINDOWS)
 #ifndef WIN32_LEAN_AND_MEAN
@@ -103,6 +103,8 @@ typedef void *EGLSurface;
 #if defined(SDL_VIDEO_DRIVER_VIVANTE)
 #include "SDL_egl.h"
 #endif
+#endif /* SDL_PROTOTYPES_ONLY */
+
 
 #include "begin_code.h"
 /* Set up for C function definitions, even when using C++ */
@@ -110,6 +112,7 @@ typedef void *EGLSurface;
 extern "C" {
 #endif
 
+#if !defined(SDL_PROTOTYPES_ONLY)
 /**
  *  These are the various supported windowing subsystems
  */

https://github.com/spurious/SDL-mirr...3ad6b5296e42b1

For reference here is the corresponding SDL2 issue report.
https://bugzilla.libsdl.org/show_bug.cgi?id=4362

And I am building ArxLibertatis from the git master, here is my build script.
https://notabug.org/orbea/SlackBuild.../ArxLibertatis

Edit:

And the ArxLibertatis build error.
Code:

[ 93%] Built target arx-libertatis-icon
[ 93%] Built target arxsavetool
In file included from /tmp/SBo/ArxLibertatis/src/window/SDL2Window.cpp:46,
                from /tmp/SBo/ArxLibertatis/build/ub_arx.cpp:2149:
/usr/include/SDL2/SDL_syswm.h:318:1: error: expected declaration before ‘}’ token
 }
 ^
make[2]: *** [CMakeFiles/arx.dir/build.make:87: CMakeFiles/arx.dir/ub_arx.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:179: CMakeFiles/arx.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[ 96%] Linking CXX executable arxcrashreporter
[ 96%] Built target arxcrashreporter
make: *** [Makefile:130: all] Error 2


USUARIONUEVO 11-12-2018 09:15 PM

M2Crypto-0.31.0
https://files.pythonhosted.org/packa...-0.31.0.tar.gz

python-setuptools-40.6.0
https://files.pythonhosted.org/packa...ols-40.6.0.zip

ehartman 11-12-2018 11:36 PM

Quote:

Originally Posted by Didier Spaier (Post 5925452)
No.
Code:

root[/home/didier]# removepkg
Usage: removepkg [-copy] [-keep] [-preserve] [-warn] packagename ...
root[/home/didier]

... represents a blank separated list of packages to remove.

OK, the man page didn't give those ... (note: I'm not using -current, so this is from the pkgtools-14.2-noarch-13 package) and it explicitly has in the description:
Code:

removepkg removes a previously installed Slackware package, while writing a progress
report to the standard output.  A package may be specified either by the full package name
(as you'd see listed in /var/log/packages/), or by the base package name.

All about a single package name. I didn't check the code itself, but relied on that man page.

davjohn 11-13-2018 01:31 AM

In Vulkan SDK, SPIR-V Headers are missing, could they be added ?
They are needed to compile some software (vkd3d for example).
I made a patch for vulkan-sdk.SlackBuild:

Code:

--- vulkan-sdk.SlackBuild.org  2018-10-11 01:45:03.000000000 +0200
+++ vulkan-sdk.SlackBuild      2018-11-11 20:11:15.109686075 +0100
@@ -138,6 +138,18 @@
  ..
 make $NUMJOBS || make || exit 1
 make install DESTDIR=$PKG || exit 1
+
+# Install SPIR-V Headers
+cd $TMP/glslang-${GLSLANG_VERSION}/External/spirv-tools/external/spirv-headers/include/spirv/unified1
+cp GLSL.std.450.h \
+spirv.h \
+spirv.hpp \
+spirv.hpp11 \
+spirv.json \
+spirv.lua \
+spirv.py \
+$PKG/usr/include/vulkan/ || exit 1
+
 cd $TMP
 
 tar xvf $CWD/Vulkan-Loader-sdk-$VERSION.tar.?z || exit 1

Or spirv-headers cmake install can be used:

Code:

--- vulkan-sdk.SlackBuild.org  2018-10-11 01:45:03.000000000 +0200
+++ vulkan-sdk.SlackBuild      2018-11-13 08:23:31.349584052 +0100
@@ -138,6 +138,13 @@
  ..
 make $NUMJOBS || make || exit 1
 make install DESTDIR=$PKG || exit 1
+
+cd $TMP/glslang-${GLSLANG_VERSION}/External/spirv-tools/external/spirv-headers
+mkdir build
+cd build
+cmake -DCMAKE_INSTALL_PREFIX=$PKG/usr .. || exit 1
+cmake --build . --target install || exit 1
+
 cd $TMP
 
 tar xvf $CWD/Vulkan-Loader-sdk-$VERSION.tar.?z || exit 1

but official SDK also have them in "include/vulkan", so in my opinion first variant is better.

gmgf 11-14-2018 12:59 AM

iptables-1.8.2:

https://netfilter.org/projects/iptab...bles-1.8.2.txt
https://netfilter.org/projects/iptab...-1.8.2.tar.bz2

orbea 11-14-2018 10:52 AM

Please rebuild alsa-lib for pure-alsa-system, the added patch fixes issues found with mpv, but it seems only the pulseaudio package was rebuilt.

From https://packages.slackware.com/:
Code:

1        slackware/l                alsa-lib-1.1.7-i586-2.txz        452K        alsa-lib (Advanced Linux Sound Architecture library)
2        extra/pure-alsa-system        alsa-lib-1.1.7-i586-1_alsa.txz        452K        alsa-lib (Advanced Linux Sound Architecture library)

I spent a lot of effort debugging this before I realized alsa-lib just didn't get rebuilt...

https://github.com/mpv-player/mpv/issues/6318

dugan 11-14-2018 02:21 PM

Can we maybe get the default value of MANPAGER set to "less -R"? That gives you colored manpages. Not sure why you'd ever not want it.

Didier Spaier 11-14-2018 02:28 PM

Quote:

Originally Posted by dugan (Post 5926104)
Can we maybe get the default value of MANPAGER set to "less -R"? That gives you colored manpages. Not sure why you'd ever not want it.

Rather, PAGER=/usr/bin/most :D

Daedra 11-14-2018 04:23 PM

The compiz-reloaded team just released version 0.8.16. It would be nice to get the very out of date 0.8.8 upgraded. Or dropping it and letting SBo take it over to keep all the companion packages together would be ideal, but either option would be better than 0.8.8. Compiz is getting a little long in the tooth, but it still works well with XFce and Mate.

https://github.com/compiz-reloaded/compiz
http://www.northfield.ws/projects/co...leases/0.8.16/

TurboBlaze 11-15-2018 09:33 AM

mesa-18.2.5.tar.gz or mesa-18.2.5.tar.xz
mesa-18.2.5.tar.gz.sig or mesa-18.2.5.tar.xz.sig

mickski56 11-15-2018 04:46 PM

nfs v4 support
 
External libraries are no longer required nfsidmap is now included in nfs-utils-2.3.3

just a LIBSUFFIX=64 to "elif [ "$ARCH" = "x86_64" ]; then" and --libdir=/usr/lib${LIBSUFFIX} to the configure line plus --enable-nfsv4=yes
and don't rm -f $PKG/sbin/*nfs4

USUARIONUEVO 11-15-2018 05:12 PM

v4l-utils-1.16.2
https://linuxtv.org/downloads/v4l-ut...1.16.2.tar.bz2

gmgf 11-16-2018 12:31 AM

tcl tk (8.6.9):

https://www.tcl.tk/software/tcltk/8.6.html
ftp://ftp.tcl.tk/pub/tcl/tcl8_6/tcl8.6.9-src.tar.gz
ftp://ftp.tcl.tk/pub/tcl/tcl8_6/tk8.6.9-src.tar.gz

volkerdi 11-16-2018 12:35 PM

It looks like they've retracted this release due to a memory management regression.

navigium 11-16-2018 12:47 PM

I don't know whether this has been reported before. At least I couldn't find anything.

The mirror mirror.switch.ch listed in /etc/slackpkg/mirrors for Switzerland is closing down. It might be a good idea to replace it in the file. The best alternative I could find was Init7's mirror:

https://mirror.init7.net/slackware/

ehartman 11-16-2018 02:23 PM

Quote:

Originally Posted by dugan (Post 5926104)
Can we maybe get the default value of MANPAGER set to "less -R"? That gives you colored manpages. Not sure why you'd ever not want it.

If you want that you can easily set it yourself, either systemwide, i.e. in a
/etc/profile.d/pager.*
file or locally in your own login scripts.

For instance I've got a set of /etc/profile.d/proto.* scripts that set for instance defaults for less:
export LESS="-a -e -f -F -i -m -n -X"
export LESSCHARSET=utf-8

A -R option can easily be added to that first one, but I admit, to ME it doesn't make any difference in the way man pages are shown.

PS: proto is short for prototype, the "default" environment settings I want for all users including root. I'm not going to post the whole file as it's 88 lines long.

Didier Spaier 11-16-2018 05:54 PM

please unset CONFIG_SOUND_OSS_CORE_PRECLAIM
 
Hello,

To be able to start the legacy Cicero TTS synthesizer, which relies on OSS only, with pulseaudio running, I had to package and install ossp aka OSSProxy, cf. https://sourceforge.net/projects/osspd/

But the ossp daemon starts only if the OSS device is not already claimed; and in Slackware kernel configs we have:
CONFIG_SOUND_OSS_CORE_PRECLAIM=y
For the records, this option was added in 2009:
http://lkml.iu.edu/hypermail/linux/k...8.0/01543.html

To check without rebuilding the kernel I have included in the command line:
soundcore.preclaim_oss=0 cf.:
http://slackware.uk/slint/x86_64/sli...p/README.Slint

So, please modify all kernel configs for current and 14.2 on next kernel upgrade to have:
CONFIG_SOUND_OSS_CORE_PRECLAIM=n

As far as I know this has no inconvenience, and in future kernels possibility of preclaiming the OSS device will even be removed.
Best,

Stuferus 11-16-2018 06:42 PM

hi,

ill would love to see wide-dhcpv6 or dibbler (both ipv6 dhcp Server and Client) on Slackware, maybe as extra? :)
i also think a litte more ipv6 support with Slackware in general (config files like rc.inet for example) would be great.

Slackware for me is not only a Desktop but also a really nice Server or even Router Distribution.
thanks mr volkerding for it. :)

Jeebizz 11-17-2018 10:44 AM

I still wish Slackware would add support for installing on F2FS formatted disks (SSD).

franzen 11-17-2018 01:56 PM

Hi,

while the stock (heirloom)mailx is still working fine, its development ceased in 2008.
Since 2012 development based on heirloom mailx goes on with s-nail.
In case there is interest for -current, i've submitted s-nail to SBo.
It works for me since some days as mailx drop-in replacement on 14.2.

Johannes

USUARIONUEVO 11-18-2018 01:42 PM

libwebp-1.0.1
https://storage.googleapis.com/downl...p-1.0.1.tar.gz

Jeebizz 11-19-2018 12:26 AM

Quote:

Originally Posted by Jeebizz (Post 5927057)
I still wish Slackware would add support for installing on F2FS formatted disks (SSD).

To clarify, I wish F2FS support were added as one of the filesystems to format the drive as during the install.

gmgf 11-19-2018 02:57 AM

libcap-2.26:

https://git.kernel.org/pub/scm/libs/...ibcap.git/log/
https://mirrors.edge.kernel.org/pub/...ap-2.26.tar.xz

jakedp 11-19-2018 08:35 PM

I assume if XFCE is updated for 15 then Catfish will be included as it is now officially part of XFCE. If not I request catfish. The tarball is here: http://archive.xfce.org/src/apps/cat...-1.4.6.tar.bz2.

cwizardone 11-19-2018 09:24 PM

The Whisker Menu for Xfce would also be a very useful addition.
The most recent version is 2.3.0.

http://goodies.xfce.org/projects/pan...kermenu-plugin

upnort 11-19-2018 09:56 PM

How about a short list of packages to add to provide a more complete Xfce?

catfish
mousepad
ristretto
thunar-archive-plugin
xarchiver
xfburn
xfce4-whiskermenu-plugin

I am not an Xfce expert and don't play one on TV, so perhaps this list is incomplete. Anyway, perhaps Pat and Robbie will favorably consider the proposal to round out Xfce. :)

rworkman 11-20-2018 12:17 AM

Quote:

Originally Posted by upnort (Post 5927866)
How about a short list of packages to add to provide a more complete Xfce?

catfish
mousepad
ristretto
thunar-archive-plugin
xarchiver
xfburn
xfce4-whiskermenu-plugin

I am not an Xfce expert and don't play one on TV, so perhaps this list is incomplete. Anyway, perhaps Pat and Robbie will favorably consider the proposal to round out Xfce. :)

There's only one of those I'd strongly support (xfce4-whiskermenu-plugin, as I use it myself), and one that I think is a good idea even if I'd never use it (mousepad).

Burning optical media isn't such a huge deal these days, so xfburn isn't a must-have at all IMHO.
Re ristretto, I'd go for gthumb over it any day.
Re xarchiver, I've not used it in a long time, but it wasn't exactly stable or every useful in some cases back then. Change my mind.
Re thunar-archive-plugin, this one needs xarchiver if I recall correctly, so... I guess, see above :-)
Re catfish, well, I'll just say that I'm not a fan.

cwizardone 11-20-2018 10:24 AM

Openssl-1.1.1a

Quote:

20-Nov-2018
OpenSSL 1.1.1a is now available, including bug and security fixes
The tarball, ftp://ftp.openssl.org/source/openssl-1.1.1a.tar.gz

gmgf 11-20-2018 11:37 AM

mariadb-10.3.11:

https://mariadb.com/kb/en/library/ma...311-changelog/
https://downloads.mariadb.org/f/mari...10.3.11.tar.gz

upnort 11-20-2018 08:00 PM

Quote:

There's only one of those I'd strongly support (xfce4-whiskermenu-plugin, as I use it myself), and one that I think is a good idea even if I'd never use it (mousepad)...I'll just say that I'm not a fan.
Many times through the years Slackers have raised the topic that Xfce in Slackware is "incomplete" because of missing packages. I am neutral and the list was only a suggestion in the spirit of trying to help. As you are the lead for Xfce in Slackware development, I'm happy to let you and Pat decide. :D

rworkman 11-20-2018 10:29 PM

Quote:

Originally Posted by upnort (Post 5928209)
Many times through the years Slackers have raised the topic that Xfce in Slackware is "incomplete" because of missing packages. I am neutral and the list was only a suggestion in the spirit of trying to help. As you are the lead for Xfce in Slackware development, I'm happy to let you and Pat decide. :D

Oh, you are correct - the Xfce package set in Slackware is incomplete for many users. It's also bloated for many users. It's also just right for many users. As always, trying to find the sweet spot on that spectrum (the place where EVERYONE is unhappy) is difficult, but we're still trying ;-) In all seriousness, no worries about the suggestions - they're certainly welcome.

gmgf 11-21-2018 12:37 AM

ghostscript-9.26:

https://www.ghostscript.com/doc/9.26/News.htm
https://github.com/ArtifexSoftware/g...pt-9.26.tar.gz

cmake-3.13.0:

https://blog.kitware.com/cmake-3-13-...-for-download/
https://cmake.org/files/v3.13/cmake-3.13.0.tar.gz

USUARIONUEVO 11-21-2018 03:16 PM

pixman-0.36.0
https://www.x.org/releases/individua...0.36.0.tar.bz2

git-2.19.2
https://mirrors.edge.kernel.org/pub/...-2.19.2.tar.xz

gmgf 11-22-2018 01:14 AM

Cosmetic, in current64 ChangeLog:

d/kernel-headers-4.14.63-x86-1.txz: Upgraded.
d/kernel-headers-4.19.3-x86-1.txz: Upgraded.

gmgf 11-22-2018 01:27 AM

adwaita-icon-theme-3.30.1:

http://ftp.gnome.org/pub/gnome/sourc...me-3.30.1.news
http://ftp.gnome.org/pub/gnome/sourc...-3.30.1.tar.xz

gmgf 11-22-2018 02:08 AM

bison-3.2.2:

http://lists.gnu.org/archive/html/bi.../msg00054.html
http://ftp.gnu.org/gnu/bison/bison-3.2.2.tar.xz

gmgf 11-22-2018 11:29 AM

LibRaw-0.19.1:

https://www.libraw.org/
https://www.libraw.org/data/LibRaw-0.19.1.tar.gz

atelszewski 11-22-2018 02:40 PM

Hi,

Quote:

Originally Posted by rworkman (Post 5928229)
Oh, you are correct - the Xfce package set in Slackware is incomplete for many users. It's also bloated for many users. It's also just right for many users. As always, trying to find the sweet spot on that spectrum (the place where EVERYONE is unhappy) is difficult, but we're still trying ;-) In all seriousness, no worries about the suggestions - they're certainly welcome.

Yes, I always have to uninstall this stupid xfdesktop thing :->
Being serious, I really do it. It just lefts black desktop with no icons.

--
Best regards,
Andrzej Telszewski

SCerovec 11-22-2018 04:27 PM

re XFCE additions:
leaving out Whisker-menu would make more users unhappy
than adding Xarchiver and it's plugin (I use exclusively besides mc ) would make happy.

So, in the great scheme I'd go for Xarchiver (tool = boring) vs Whisker-menu (eye-candy = fun, and that's a paddling)

just my 2c

jakedp 11-22-2018 10:27 PM

Quote:

Originally Posted by rworkman (Post 5927886)
There's only one of those I'd strongly support (xfce4-whiskermenu-plugin, as I use it myself), and one that I think is a good idea even if I'd never use it (mousepad).

Burning optical media isn't such a huge deal these days, so xfburn isn't a must-have at all IMHO.
Re ristretto, I'd go for gthumb over it any day.
Re xarchiver, I've not used it in a long time, but it wasn't exactly stable or every useful in some cases back then. Change my mind.
Re thunar-archive-plugin, this one needs xarchiver if I recall correctly, so... I guess, see above :-)
Re catfish, well, I'll just say that I'm not a fan.


xarchiver has been stable for awhile now in the fork. The original developer said he does not have the time to develop it anymore but will accept patches, except all the patches needed seem to be merged with the fork now. https://github.com/ib/xarchiver

It is useful for us that occasionally want a hand free for a few sips of java. ;-) I rarely use it myself but it is also annoying for Ark to pop up while in XFCE.


KDE comes with a builtin file search in Dolphin, why not XFCE with Catfish? Also, I have ~60GB of PDFs. I much prefer a GUI for searching through them.


I tried to change your mind see how that worked that out. :-)

rworkman 11-22-2018 11:31 PM

Quote:

Originally Posted by jakedp (Post 5929015)
xarchiver has been stable for awhile now in the fork. The original developer said he does not have the time to develop it anymore but will accept patches, except all the patches needed seem to be merged with the fork now. https://github.com/ib/xarchiver

It is useful for us that occasionally want a hand free for a few sips of java. ;-) I rarely use it myself but it is also annoying for Ark to pop up while in XFCE.


KDE comes with a builtin file search in Dolphin, why not XFCE with Catfish? Also, I have ~60GB of PDFs. I much prefer a GUI for searching through them.


I tried to change your mind see how that worked that out. :-)

Well, you convinced me to take a look at xarchiver. The jury's still out on catfish ;-)

Thom1b 11-23-2018 12:01 AM

nghttp2-1.35.0 is released.
https://github.com/nghttp2/nghttp2/r...-1.35.0.tar.xz

Skaendo 11-23-2018 12:37 AM

Thank you!

Code:

d/vala-0.42.3-x86_64-1.txz:  Added.


All times are GMT -5. The time now is 06:42 PM.